import request from "@/utils/request";

// 用户列表
export function getUserList(params: any) {
  return request.get(
    { url: "/user.user/lists", params },
    { ignoreCancelToken: true }
  );
}

// 用户详情
export function getUserDetail(params: any) {
  return request.get({ url: "/user.user/detail", params });
}

// 用户编辑
export function userEdit(params: any) {
  return request.post({ url: "/user.user/edit", params });
}

// 用户编辑
export function adjustMoney(params: any) {
  return request.post({ url: "/user.user/adjustMoney", params });
}
// 发起合同
export function initiateContact(params: any) {
  return request.post({ url: "/user.user/initiate_contract", params });
}
// 上传合同
export function upContact(params: any) {
  return request.post({ url: "/contract.contract/wind_control", params });
}
//生产个人合同
export function creatContact(params: any) {
  return request.post({ url: "/user.user/Draftingcontracts", params });
}
//发送短息
export function sendMsgApi(params: any) {
  return request.get({ url: "/contract.contract/postsms", params });
}
